Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706548 - app-text/pinfo-0.6.13 : fails to build with -fno-common or gcc-10
Summary: app-text/pinfo-0.6.13 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 20:49 UTC by Toralf Förster
Modified: 2020-01-27 11:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.41 KB, text/plain)
2020-01-26 20:49 UTC, Toralf Förster
Details
app-text:pinfo-0.6.13:20200126-200946.log (app-text:pinfo-0.6.13:20200126-200946.log,26.00 KB, text/plain)
2020-01-26 20:49 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,113.88 KB, text/plain)
2020-01-26 20:49 UTC, Toralf Förster
Details
environment (environment,78.11 KB, text/plain)
2020-01-26 20:49 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.75 KB, application/x-bzip)
2020-01-26 20:49 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,12.71 KB, application/x-bzip)
2020-01-26 20:50 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.30 KB, application/x-bzip)
2020-01-26 20:50 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 20:49:42 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw  -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -pipe -march=native -fno-common -D_BSD_SOURCE -D_DEFAULT_SOURCE  -D_XOPEN_SOURCE=600 -c -o pinfo-initializelinks.o `test -f 'initializelinks.c' || echo './'`initializelinks.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw  -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -pipe -march=native -fno-common -D_BSD_SOURCE -D_DEFAULT_SOURCE  -D_XOPEN_SOURCE=600 -c -o pinfo-printinfo.o `test -f 'printinfo.c' || echo './'`printinfo.c
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw  -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -pipe -march=native -fno-common -D_BSD_SOURCE -D_DEFAULT_SOURCE  -D_XOPEN_SOURCE=600  -Wl,-O1 -Wl,--as-needed -o pinfo pinfo-pinfo.o pinfo-colors.o pinfo-datatypes.o pinfo-filehandling_functions.o pinfo-mainfunction.o pinfo-manual.o pinfo-menu_and_note_utils.o pinfo-parse_config.o pinfo-regexp_search.o pinfo-signal_handler.o pinfo-utils.o pinfo-video.o pinfo-initializelinks.o pinfo-printinfo.o    -lreadline  -lncursesw -ltinfow  
libtool: link: x86_64-pc-linux-gnu-gcc -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -pipe -march=native -fno-common -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -Wl,-O1 -o pinfo pinfo-pinfo.o pinfo-colors.o pinfo-datatypes.o pinfo-filehandling_functions.o pinfo-mainfunction.o pinfo-manual.o pinfo-menu_and_note_utils.o pinfo-parse_config.o pinfo-regexp_search.o pinfo-signal_handler.o pinfo-utils.o pinfo-video.o pinfo-initializelinks.o pinfo-printinfo.o  -Wl,--as-needed -lreadline -lncursesw -ltinfow
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pinfo-colors.o:(.bss+0x34): multiple definition of `use_manual'; pinfo-pinfo.o:(.bss+0x10): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pinfo-datatypes.o:(.bss+0x310): multiple definition of `use_manual'; pinfo-pinfo.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 19:46:17 +0000

emerge -qpvO app-text/pinfo
[ebuild  N    ] app-text/pinfo-0.6.13  USE="nls readline"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 20:49:45 UTC
Created attachment 604924 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 20:49:47 UTC
Created attachment 604926 [details]
app-text:pinfo-0.6.13:20200126-200946.log
Comment 3 Toralf Förster gentoo-dev 2020-01-26 20:49:50 UTC
Created attachment 604928 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-26 20:49:53 UTC
Created attachment 604930 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-26 20:49:57 UTC
Created attachment 604932 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 20:50:01 UTC
Created attachment 604934 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-26 20:50:04 UTC
Created attachment 604936 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-27 11:31:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2094fa5063c2fc7e240de05a775c11eeeb266f5b

commit 2094fa5063c2fc7e240de05a775c11eeeb266f5b
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-27 11:21:55 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-27 11:31:03 +0000

    app-text/pinfo: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/706548
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 app-text/pinfo/files/pinfo-0.6.13-fno-common.patch | 11 +++++++++++
 app-text/pinfo/pinfo-0.6.13.ebuild                 |  3 ++-
 app-text/pinfo/pinfo-99999.ebuild                  |  3 ++-
 3 files changed, 15 insertions(+), 2 deletions(-)